Subject: bug#29883: Emacs server not detected in Mac OS High Sierra

From: Alan Third <[email-masked]>
Date: Mon, 1 Jan 2018 15:02:22 +0000

On Sun, Dec 31, 2017 at 01:55:42AM +0100, Artemio González López wrote:
> 
> > On Dec 29, 2017, at 11:12 PM, Alan Third <[email-masked]> wrote:
> > 
> > On Fri, Dec 29, 2017 at 12:04:41AM +0100, Artemio González López wrote:
> >> When a .tex file is opened in Emacs 25.3.1 under macOS 10.13.2 High
> >> Sierra by double-clicking on it always launches a second instance of
> >> Emacs, even if a server process is already running (launched by a
> >> “(server-start)” line at the beginning of my .emacs file). This
> >> problem did not occur in the previous system (macOS 10.12 Sierra).
> > 
> > Hi, thanks for the report.
> > 
> > I’m not on 10.13 yet, so I can’t test this. Is it only .tex files that
> > don’t work?
> > 
> > When double clicking a file it should open in an existing Emacs
> > instance even without a server process.
> > 
> > Do you have more than one Emacs.app installed? Is it possible you need
> > to re‐associate .tex files with the correct Emacs? (Get Info ‐> Open With)
> 
> Dear Alan,
> 
> Thanks for your reply. First of all, I have checked that I don’t
> have other Emacs.app’s installed in my computer. Secondly, I’ve
> already tried reassociating my .tex file with Emacs.app, to no
> avail. Thirdly, the problem occurs with all types of files, not just
> .tex ones. In fact, even if I drag the file icon to Emacs.app’s icon
> in the dock, a second instance is launched. The only way to avoid
> this that I know of is to drag the file’s icon over an open Emacs
> window, which is very inconvenient. From what I’ve heard (see, e.g.,
> https://emacs.stackexchange.com/questions/37164/run-only-one-instance-of-emacs-on-macos)
> this problem is specific of 10.13 (it did not occur in 10.12) and
> Emacs for Mac OS X. It would be nice if somebody having access to
> 10.13 looked at it, because it’s quite annoying (in my case, when
> the second instance of Emacs.app is opened it complains of an
> existing server, etc.).

Thanks for letting us know, and please keep the bug tracker cc’d in so
other people can see your responses (and hopefully help out).
-- 
Alan Third